"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = usePersistAccessToken;
var SecureStore = _interopRequireWildcard(require("expo-secure-store"));
var _react = require("react");
function _getRequireWildcardCache(nodeInterop) { if (typeof WeakMap !== "function") return null; var cacheBabelInterop = new WeakMap(); var cacheNodeInterop = new WeakMap(); return (_getRequireWildcardCache = function (nodeInterop) { return nodeInterop ? cacheNodeInterop : cacheBabelInterop; })(nodeInterop); }
function _interopRequireWildcard(obj, nodeInterop) { if (!nodeInterop && obj && obj.__esModule) { return obj; } if (obj === null || typeof obj !== "object" && typeof obj !== "function") { return { default: obj }; } var cache = _getRequireWildcardCache(nodeInterop); if (cache && cache.has(obj)) { return cache.get(obj); } var newObj = {}; var hasPropertyDescriptor = Object.defineProperty && Object.getOwnPropertyDescriptor; for (var key in obj) { if (key !== "default" && Object.prototype.hasOwnProperty.call(obj, key)) { var desc = hasPropertyDescriptor ? Object.getOwnPropertyDescriptor(obj, key) : null; if (desc && (desc.get || desc.set)) { Object.defineProperty(newObj, key, desc); } else { newObj[key] = obj[key]; } } } newObj.default = obj; if (cache) { cache.set(obj, newObj); } return newObj; }
const TOKEN_ACCESS_KEY = 'react_native_chatgpt_access_token';
async function persistToken(value) {
  return SecureStore.setItemAsync(TOKEN_ACCESS_KEY, value);
}
async function getTokenFromDisk() {
  return SecureStore.getItemAsync(TOKEN_ACCESS_KEY);
}
function usePersistAccessToken() {
  const [state, setState] = (0, _react.useState)({
    isLoaded: false,
    accessToken: ''
  });
  (0, _react.useEffect)(() => {
    (async () => {
      const accessToken = await getTokenFromDisk();
      setState({
        isLoaded: true,
        accessToken: accessToken || ''
      });
    })();
  }, []);
  return {
    ...state,
    setAccessToken: async value => {
      await persistToken(value);
      setState({
        isLoaded: true,
        accessToken: value
      });
    }
  };
}
//# sourceMappingURL=usePersistAccessToken.js.map