"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.default = getChatGptConversationHeaders;
var _constants = require("../constants");
/**
 * Returns proper headers for the https://chat.openai.com/backend-api/conversation endpoint
 * @param accessToken
 */
function getChatGptConversationHeaders(accessToken) {
  return {
    'accept': 'application/json',
    'x-openai-assistant-app-id': '',
    'authorization': accessToken,
    'content-type': 'application/json',
    'origin': _constants.HOST_URL,
    'referrer': _constants.CHAT_PAGE,
    ['sec-fetch-mode']: 'cors',
    ['sec-fetch-site']: 'same-origin',
    'x-requested-with': 'com.chatgpt3auth',
    'user-agent': _constants.USER_AGENT
  };
}
//# sourceMappingURL=getChatGptConversationHeaders.js.map