import { PropsWithChildren } from 'react';
import type { ChatGptResponse, SendMessageOptions, StreamMessageParams } from '../types';
interface ChatGptContextInterface {
    status: 'initializing' | 'getting_auth_token' | 'logged-out' | 'authenticated';
    login: () => void;
    flush: () => void;
    sendMessage(message: string, options?: SendMessageOptions): Promise<ChatGptResponse>;
    sendMessage(args: StreamMessageParams): void;
}
export declare const ChatGptProvider: ({ status, login, flush, sendMessage, children, }: PropsWithChildren<ChatGptContextInterface>) => JSX.Element;
export declare const useChatGpt: () => ChatGptContextInterface;
export {};
//# sourceMappingURL=ChatGptContext.d.ts.map